import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';
import 'native_model.dart';

abstract class MethodChannelBase{
  late MethodChannel methodChannel;

  MethodChannelBase(){
    methodChannel = MethodChannel(provideChannelName());
    _observeNativeData();
  }

  Future<dynamic?>  invokeNativeMethod(String method, [ dynamic arguments ]){
    return methodChannel.invokeMethod(method, arguments);
  }

  void messageFromNative(MethodCall? call);

  String provideChannelName();

  void _observeNativeData() {
    methodChannel.setMethodCallHandler((call) async {
      messageFromNative(call);
    });
  }

}