import 'dart:convert';

import 'package:flutter/services.dart';

class NativeModel{
  MethodChannel? _methodChannel;

  NativeModel._internal();
  static NativeModel get instance => _instance;
  static late final NativeModel _instance = NativeModel._internal();


  void init(MethodChannel methodChannel){
    _methodChannel = methodChannel;
  }

  void newPageCreate(String pageRoute, String channelName){
    _methodChannel?.invokeMethod("onPageCreated", _genParmas(pageRoute, channelName));
  }

  void onBackPress(String pageRoute){
    _methodChannel?.invokeMethod("onBackPress", pageRoute);
  }

  void onPageDestory(String pageRoute, String channelName){
    _methodChannel?.invokeMethod("onPageDestroy",  _genParmas(pageRoute, channelName));
  }
  void canPopToFlutterPage(bool isCanPop){
    _methodChannel?.invokeMethod("canPopToFlutterPage",isCanPop);
  }
  void log(String? text){
    _methodChannel?.invokeMethod("onFlutterLog", text);
  }

  String _genParmas(String pageRoute, String channelName){
    var params = {"pageRoute": pageRoute, "channelName": channelName};
    return jsonEncode(params);
  }
}