import 'package:flutter/material.dart';

import 'fx_colors.dart';
import 'fx_text.dart';

class CenterPageHint extends StatelessWidget {
  final String imgName;
  final String textHint;
  const CenterPageHint({Key? key, required this.imgName, required this.textHint}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Image.asset(imgName, width: 215, height: 134),
          const SizedBox(height: 12),
          FXText(textHint, style: FXText.comment.apply(color: FXColor.main_black2))
        ],
      ),
    );
  }
}
