import 'package:decimal/decimal.dart';

class FxFormat {
  FxFormat._();

  static String toWeightString(int? weight) => weight == null ? "" : (weight / 1000).toStringAsFixed(2);

  static String toPriceString(int? price) => price == null ? "" : (price / 100).toStringAsFixed(2);

  static int toWeightInt(String? weight) => (Decimal.parse(weight??"0") * Decimal.parse("1000")).toInt();

  static int toPriceInt(String price) => (Decimal.parse(price) * Decimal.parse("100")).toInt();

  static int parseInt(String? v, {int defaultValue = 0}) => int.tryParse(v ?? "0") ?? defaultValue;

  static double parseDouble(String? v, {double defaultValue = 0}) => double.tryParse(v ?? "0") ?? defaultValue;
}
