import 'package:flutter/cupertino.dart';
import '../dev/native_model.dart';

class FxNavigatorObserver extends NavigatorObserver {
  @override
  void didPush(Route route, Route? previousRoute) {
    if(!route.isFirst){
      NativeModel.instance.canPopToFlutterPage(true);
    }
    super.didPush(route, previousRoute);
  }
  @override
  void didPop(Route route, Route? previousRoute) {
    bool? canPop = route.navigator?.canPop();
    NativeModel.instance.canPopToFlutterPage(canPop??false);
    super.didPop(route, previousRoute);
  }
}