import 'package:flutter/services.dart';
import 'dart:math' as math;


class LessThan1Formatter extends TextInputFormatter {
  LessThan1Formatter();
  
  @override
  TextEditingValue formatEditUpdate(
      TextEditingValue oldValue, // unused.
      TextEditingValue newValue,
      ) {
    TextSelection newSelection = newValue.selection;
    String truncated = newValue.text;

    String value = newValue.text;
    int? intValue = int.tryParse(value)?? 0;
    if (intValue > 1 /*&& intValue < 20*/){
      truncated = "0.${value}";
      newSelection = newValue.selection.copyWith(
        baseOffset: truncated.length,
        extentOffset: truncated.length,
      );

      return TextEditingValue(
        text: truncated,
        selection: newSelection,
        composing: TextRange.empty,
      );
    }
    return newValue;
  }
}
