import 'package:flutter/services.dart';
import 'dart:math' as math;


class Remove0PrefixFormatter extends TextInputFormatter {
  Remove0PrefixFormatter();
  
  @override
  TextEditingValue formatEditUpdate(
      TextEditingValue oldValue, // unused.
      TextEditingValue newValue,
      ) {
    TextSelection newSelection = newValue.selection;
    String truncated = newValue.text;

    String value = newValue.text;
    int? intValue = int.tryParse(value);
    if (intValue != null){
      truncated = intValue.toString();
      newSelection = newValue.selection.copyWith(
        baseOffset: truncated.length,
        extentOffset: truncated.length,
      );

      return TextEditingValue(
        text: truncated,
        selection: newSelection,
        composing: TextRange.empty,
      );
    }
    return newValue;
  }
}
