import 'package:flutter/material.dart';

class WaitingDialogHelper {
  BuildContext? dialogContext;

  void showLoadingDialog(BuildContext buildContext) {
    showDialog(
      context: buildContext,
      barrierColor: Colors.transparent,
      barrierDismissible: false, //点击遮罩不关闭对话框
      builder: (context) {
        dialogContext = context;
        return UnconstrainedBox(
          child: SizedBox(
            width: 90,
            height: 90,
            child: AlertDialog(
                backgroundColor: Colors.black.withOpacity(0.6),
                contentPadding: EdgeInsets.all(0),
                insetPadding: EdgeInsets.all(0),
                content: Image.asset("images/gift_loading_transparent_backgound.gif")
            ),
          ),
        );
      },
    );
  }

  void hideWaitingDialog() {
    if (dialogContext != null) {
      Navigator.pop(dialogContext!);
      dialogContext = null;
    }
  }
}
